<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursausfallSetzen;

class KursausfallSetzenAbsendenController extends \Kufer\KuferTools\Basis\KursDetails\KursausfallSetzen\KursausfallSetzenAbsendenController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursausfallSetzenAbsendenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    if ($pUseCaseResponse->weiterZuKursuebersicht) {
      return new \Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursUebersicht\KursUebersichtController();
    } else {
      return new \Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursDetailsExternController($pUseCaseResponse->statusMessageContainer);
    }
  }
}